Page MenuHomePhabricator

Record transferSize in Navigation Timing data
Closed, ResolvedPublic

Description

This is something we've never recorded in NavigationTiming, afaik, despite it being available in the corresponding PerformanceEntry. As @stjn pointed out, it would be interesting to see how it correlates to survey responses. Eg. this might inform community decisions to split up large articles into smaller ones.

It would probably be useful to also record the total transferSize of all resources from ResourceTiming (maybe totals per category? images/scripts/etc), in addition to the main document's.

Event Timeline

Gilles triaged this task as Medium priority.Jun 22 2018, 4:51 PM
Gilles created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2018, 4:51 PM

Change 441934 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Add transferSize to response when available

https://gerrit.wikimedia.org/r/441934

Imarlier moved this task from Inbox to Doing on the Performance-Team board.Jun 25 2018, 7:57 PM

Change 441934 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Add transferSize to response when available

https://gerrit.wikimedia.org/r/441934

Vvjjkkii renamed this task from Record transferSize in Navigation Timing data to 1faaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii removed Gilles as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 1faaaaaaaa to Record transferSize in Navigation Timing data.Jul 2 2018, 10:41 AM
CommunityTechBot assigned this task to Gilles.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Gilles closed this task as Resolved.Sep 3 2018, 12:24 PM

This appears to work fine, a lot of data is being collected.